<!DOCTYPE html>

<?php 
header("Content-Type: application/json", true);
require __DIR__ . '/vendor/autoload.php';

$client = new \Google_Client();
$client->setApplicationName('Google Sheets with Primo');
$client->setScopes([\Google_Service_Sheets::SPREADSHEETS]);
$client->setAccessType('offline');
$client->setAuthConfig(__DIR__ . '/credentials.json');

$service = new Google_Service_Sheets($client);
$spreadsheetId = "1R5kkCT9Ta62_RmVaZ11S5NBfBFI2js2JZy64VB5bCfU";

//------------------------------------------------------------------//

$dataSheet = "DataTest";

$dataBaseStrCol = "A"; $dataBaseStrRow = "18";
$dataBaseEndCol = "G"; $dataBaseEndRow = "85";

$dataTinStrCol = "A"; $dataTinStrRow = "17";
$dataTinEndCol = "E"; $dataTinEndRow = "17";

//------------------------------------------------------------------//

$bwrange = $dataSheet."!".$dataBaseStrCol.$dataBaseStrRow.":".$dataBaseEndCol.$dataBaseEndRow; // range of base weights
$bwresponse = $service->spreadsheets_values->get($spreadsheetId, $bwrange);
$bwvalues = $bwresponse->getValues(); // get base weight values

$twrange = $dataSheet."!".$dataTinStrCol.$dataTinStrRow.":".$dataTinEndCol.$dataTinEndRow; // range of tin weights
$twresponse = $service->spreadsheets_values->get($spreadsheetId, $twrange);
$twvalues = $twresponse->getValues(); // get tin weight values
?>

<html lang="en">
    
<head>
    <title>Bootstrap Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script src="https://github.com/douglascrockford/JSON-js/blob/master/json2.js"></script>
  
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-xm-6">
                <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <td>ID</td>
                            <td>Base</td>
                            <td>Weight</td>
                            <td>Percentage</td>
                        </tr>
                    </thead>
                    
                    <tbody>
                        <?php
                        
                        $x = 0;
                        $y = sizeof($bwvalues);
                        while($x<$y){
                        
                        ?>
                        
                        <tr>
                            <td><?php echo $bwvalues[$x][0]; ?></td>
                            <td><?php echo $bwvalues[$x][2]; ?></td>
                            <td><input type="number" id="weight<?php echo $x; ?>" name="weight<?php echo $x; ?>" value="<?php if(isset($_POST["weight".$x]) && !empty($_POST["weight".$x])){$w = $_POST["weight".$x];} else {$w = round($bwvalues[$x][6]);} echo $w;?>"><br><br></td>       
                            <!-- <td><button type="button" class="btn btn-primary" data-toggle="modal" data-target="#<?php echo $bwvalues[$x][0]; ?>">Edit</button></td> -->    
                            <td>
                                <div class="progress" style="margin-bottom:0px">
                                    <div class="progress-bar progress-bar-info" id="pb<?php echo $x; ?>" name="pb<?php echo $x; ?>" role="progressbar" aria-valuenow="2" aria-valuemin="0" aria-valuemax="100" style="min-width: 0em; width: <?php echo round((($w-$twvalues[0][2]-$twvalues[0][4])/$bwvalues[$x][5])*100);?>%;">
                                    </div>
                                </div>
                            </td>
                            
                            <td><?php echo round((($w-$twvalues[0][2]-$twvalues[0][4])/$bwvalues[$x][5])*100);?>%</td>
                        </tr>
                        
                        <?php
                        
                        //echo $bwvalues[$x][0];
                        echo "\r\n";
                        $x++;
                        }
                        
                        ?>

                    </tbody>
                    
                </table>
                <button class="btn btn-primary btn-block" type="submit">Update</button>
                <button class="btn btn-primary btn-block" type="submit" name="confirm">Save to Sheet</button>
                </form>
                
            </div>
        </div>
    </div>
    
<?php 

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if(isset($_POST['confirm'])){
            
        //------------------------------------------------------------------//
        
        $range = $dataSheet."!A".($dataBaseStrRow-2).":AAA".($dataBaseStrRow-2); // to get next free column
        $response = $service->spreadsheets_values->get($spreadsheetId, $range);
        $values = $response->getValues();
        
        $x = 0;
        $y = 75; //set no of columns to look for
        while($x<$y){
            if($values[0][$x]==""){break;}
            $x++;
        }
        
        $usedColumn = num2alpha($x-1); // last used column
        $freeColumn = num2alpha($x); // next free column
    
        //------------------------------------------------------------------//
        
        date_default_timezone_set("Asia/Calcutta");
        $time1 = Time();
        $todate = date("Y-m-d",$time1);
        $totime = date("H:i:s",$time1);
        echo $todate." ".$totime;
        
        $shopid = 1;
        $toshop = returnShop($shopid);
        
        $range = $dataSheet."!".$freeColumn.($dataBaseStrRow-3).":".$freeColumn.($dataBaseStrRow-1); // set writing range
        
        $svalues = [
        	[$toshop],[$todate],[$totime]
        ];
        
        $body = new Google_Service_Sheets_ValueRange([
        	'values' => $svalues
        ]);
        $params = [
        	'valueInputOption' => 'RAW'
        ];
        
        $result = $service->spreadsheets_values->update(
        	$spreadsheetId,
        	$range,
        	$body,
        	$params
        );
        
        if($result->updates->updatedRows == 1){
        	echo "Success";
        } else {
        	echo "Fail";
        }
        
        //------------------------------------------------------------------//
        
        $x = 0; //read post values to array to write
        $y = sizeof($bwvalues);
        $rwvalues;
        while($x < $y){
            $rwvalues[$x][0] = $_POST["weight".$x];
            //$rwvalues[$x][1] = "";
            //echo $z." ";
            $x++;
        }
        $rwrange = $dataSheet."!".$freeColumn.$dataBaseStrRow.":".$freeColumn.$dataBaseEndRow; // set writing range
        
        $rwbody = new Google_Service_Sheets_ValueRange([
        	'values' => $rwvalues
        ]);
        
        $rwparams = [
        	'valueInputOption' => 'RAW'
        ];
        
        $rwresult = $service->spreadsheets_values->update(
        	$spreadsheetId,
        	$rwrange,
        	$rwbody,
        	$rwparams
        ); //write updated values to sheet 
        
        if($rwresult->updates->updatedRows > 1){
        	echo "Success".$rwresult->updates->updatedRows;
        } else {
        	echo "Fail";
        } // notify success or failure
        
        //------------------------------------------------------------------//
    }
}

function num2alpha($n)
{
    for($r = ""; $n >= 0; $n = intval($n / 26) - 1)
        $r = chr($n%26 + 0x41) . $r;
    return $r;
}

function returnShop($shopid){
    switch($shopid){
        case "1" : return "Town Shop"; break;
        case "2" : return "Kandy Road Shop"; break;
        case "3" : return "Puttlam Road Shop"; break;
        case "4" : return "Colombo Road Shop"; break;
        case "5" : return "Mawathagama Shop"; break;
    }
}

?>

</body>
</html>

