<?php 

require __DIR__ . '/vendor/autoload.php';

$client = new \Google_Client();
$client->setApplicationName('Google Sheets with Primo');
$client->setScopes([\Google_Service_Sheets::SPREADSHEETS]);
$client->setAccessType('offline');
$client->setAuthConfig(__DIR__ . '/credentials.json');

$service = new Google_Service_Sheets($client);
$spreadsheetId = "1C_b-G6ijBUTZs7wYVVKrjzbl6WO5PdJPW4TrzSzHQYc";

$range = "Sheet1"; // Sheet name

$values = [
	['test', 'done'],
];
//echo "<pre>";print_r($values);echo "</pre>";exit;
$body = new Google_Service_Sheets_ValueRange([
	'values' => $values
]);
$params = [
	'valueInputOption' => 'RAW'
];

$result = $service->spreadsheets_values->append(
	$spreadsheetId,
	$range,
	$body,
	$params
);

if($result->updates->updatedRows == 1){
	echo "Success";
} else {
	echo "Fail";
}

$spreadsheetId = "1R5kkCT9Ta62_RmVaZ11S5NBfBFI2js2JZy64VB5bCfU";

$range = 'Sikkens!B4:B13'; // here we use the name of the Sheet to get all the rows
$response = $service->spreadsheets_values->get($spreadsheetId, $range);
$values = $response->getValues();
$x = 0;
$y = sizeof($values);
while($x<$y){
    echo $values[$x][0];
    echo "\r\n";
    $x++;
}
//var_dump($values);

?>
<html>  
<head>  
    <title>Registration Form</title>  
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />  
    <script src="https://code.jquery.com/jquery-3.7.1.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@3.3.7/dist/js/bootstrap.min.js"></script>
</head>

<style>
 .box
 {
  width:100%;
  max-width:600px;
  background-color:#f9f9f9;
  border:1px solid #ccc;
  border-radius:5px;
  padding:16px;
  margin:0 auto;
 }
 .error
{
  color: red;
  font-weight: 700;
} 

</style>
<body>  
    <div class="container">  
    <h2 class="text-center">Insert Data with Modal using Jquery AJAX</h2>
    <br/>
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#adduser">Add New User</button>
    <br/><br/>
    <table class="table table-bordered">
    <thead>
      <th>Base</th>
      <th>Weight With Mix Lid</th>
      </thead>
    <tbody id="result">
    </tbody>
   </table>
  </div>
 </body>  
</html>
<!-- Modal -->
<div class="modal fade" id="adduser" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-body">
        <div class="box">
      <form>
      <div class="form-group">
       <label for="name">Enter Your Name</label>
       <input type="text" name="name" id="name" placeholder="Enter Name" class="form-control"/>
      </div>  
       <div class="form-group">
       <label for="email">Enter Base Weight</label>
       <input type="text" name="email" id="email" placeholder="Enter Email" class="form-control"/>
      </div>
    </form>
      <div class="form-group">
       <input type="submit" id="register" name="register" value="Submit" class="btn btn-success" />
        <button type="button" class="btn btn-danger" data-dismiss="modal" id="close_btn">Close</button>
       </div>
       <p class="error" id="err"></p>
     </div>
      </div>
      </div>
  </div>
</div>






<!-- Make one single modal window by keeping it outside of the PHP loop -->
<div id="myModal" class="modal">
  <span id="close-modal" class="close">&times;</span>
  <img class="modal-content" id="img01">    
</div>

<!-- Each image in the loop uses a class instead of an id, because ids must be unique -->
<?php 
$x = 0;
$y = sizeof($values);
while($x<$y){
    echo $values[$x][0];
    echo "\r\n";
    $x++;
  ?>
  <img class="preview" src="imageView.php?image_id=<?php echo $row["imageId"]; ?>" /><br/>
<?php } ?>

<script>
// Add event listener to the close button
document.getElementById("close-modal").addEventListener("click", closeModal);

// Add event listeners to all the images
var images = document.getElementsByClassName("preview");
for(let i = 0; i < images.length; i++) {
  let img = images[i];
  img.addEventListener("click", showImage);
}

/** Declare event handlers **/
// Close the modal
function closeModal(e) {
  var modal = document.getElementById("myModal");
  modal.style.display = "none";
}

// Open the modal and show an image
function showImage(e) {
  var img = e.currentTarget;
  var modal = document.getElementById("myModal");
  var modalImg = document.getElementById("img01");
  var captionText = document.getElementById("caption");
  modalImg.src = img.src;
  captionText.innerHTML = img.alt;
  modal.style.display = "block";
}
</script>


<?php

//require_once ("includes/session_check.php");

//require_once ("includes/db_connect.php");

//MySqli Select Query

$results = $mysqli->query("SELECT id, username, phone, requester,goodorbad,confirmed,denied FROM request WHERE goodorbad=1 AND confirmed=0 AND denied=0 Order by ID ASC");
echo '
      <!-- **********************************************************************************************************************************************************
      MAIN CONTENT
      *********************************************************************************************************************************************************** -->
      <!--main content start-->
      <section id="main-content">
          <section class="wrapper site-min-height">
            <h3><i class="fa fa-angle-right"></i> Non Authenticated Requests</h3>
            <div class="row mt">
                <div class="col-lg-12">
                <p>Non Authenticated Requests here.</p>';
echo '<div class="row mt">
                  <div class="col-md-12">
                      <div class="content-panel">
                          <table class="table table-striped table-advance table-hover">
                              <h4><i class="fa fa-angle-right"></i>Non Authenticated Requests</h4>
                              <hr>  <thead>
                              <tr>
                                  <th><i class="fa fa-bullhorn"></i>Username</th>
                                  <th><i class="fa fa-phone"></i>Phone number update request</th>
                                  <th><i class="fa fa-bookmark"></i>Requester</th>
                                  <th><i class=" fa fa-edit"></i> Status</th>
                                  <th><i class=" fa fa-edit"></i> Accept/Decline</th>
                                  <th></th>
                              </tr>
                              </thead>';


while($row = $results->fetch_object()) {

    //$row->id
   //$row->confirmed
     //$row->denied

$status = $row->confirmed;

echo ' 
    <!-- Modal for Confirm -->

                <form action="#" method="POST">
                    <div aria-hidden="true" aria-labelledby="myModalLabel" role="dialog" tabindex="-1" id="myModal" class="modal fade">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                   <input type="hidden" name="username_request" value="'.$row->username.'"/>
                                       <input type="hidden" name="telephone_request" value="'.$row->phone.'"/>
                                    <h4 class="modal-title">Are you sure ?</h4>
                                </div>
                                <div class="modal-body">
                                    <br>

                                    <p>You are about to update </p>
                                    '.$row->username.'
                                    <br>
                                    <p> with the following telephone number </p>
                                      '.$row->phone.'

                                <div class="modal-footer">
                                    <button data-dismiss="modal" class="btn btn-default" 
                                            type="button">Cancel</button>
                                    <button data-dismiss="modal" class="btn btn-default" 
                                            type="button">Submit</button>

                                </div>
                            </div>
                        </div>
                    </div>
                    </form>
                    <!-- modal -->




                              <tbody>
                              <tr>
                                  <td><a href="#">'.$row->username.'</a></td>
                                  <td>'.$row->phone.'</td>
                                  <td>'.$row->requester.' </td>';
        if($status == 1){


              echo '       <td><span class="label label-success">Completed</span></td>
                        <td></td>
                        <td></td>
                      ';
        }else{

        }

                            echo '<td><span class="label label-info label-mini">Pending</span></td>

                                  <td>
                                    Accept?  
                                    <a data-toggle="modal" href="#myModal"> <button class="btn btn-success btn-xs"><i class="fa fa-check"></i></button>
                                     </a>
                                   <td>
                                   Decline?
                                      <button class="btn btn-danger btn-xs"><i class="fa fa-minus-circle"></i></button>
                                     </td>
                                  </td>


                            </tr>
                              </tbody>





                      ';
}

echo '     
                          </table>
                      </div><!-- /content-panel -->
                  </div><!-- /col-md-12 -->
              </div><!-- /row -->';

// close connection 
$mysqli->close();
?>

<html>


</html>
